package dtdmapper;

import javax.swing.JFrame;

import com.japisoft.dtdparser.DTDMapperFactory;
import com.japisoft.xmlpad.XMLContainer;

/**
 * In this sample we can manage a DTD using the classpath. The DTDMapper
 * interface will let us redirect an URL to our local DTD. This is both for the
 * content assistant and the parser.
 * 
 * @author (c) 2004 JAPISoft / http://www.japisoft.com
 * @version 1.0
 */
public class Demo extends JFrame {

	public Demo() {

		// We add a mapper for resolving a System id about a DTD URL to
		// a local usage with an input stream
		DTDMapperFactory.setDTDMapper(new ClasspathDTDMapper());

		XMLContainer container = new XMLContainer();
		container
				.setText("<?xml version='1.0'?>\n<!DOCTYPE personnel SYSTEM \"http://www.foo.com/foo.dtd\">\n\n");

		getContentPane().add(container.getView());

		setSize(400, 400);
		setVisible(true);
	}

	public static void main(String[] args) {
		new Demo();
	}

}
